% validate1_kmeans

n = 100000;
K = 6;
maxT = 100;
eps = 1e-3;
T = 10;

nmiT2 = zeros(T, 1);
zT2 = zeros(T, n);
rT2 = zeros(T, 1);

for t = 1:T
    
    x0 = squeeze(x(t, :, :));
    z0 = squeeze(z(t, :))';
    tt = cputime;
    [z2, mu2] = kmeans(x0, K, maxT, eps);
    rT2(t) = cputime - tt;
    zT2(t, :) = z2';
    nmiT2(t) = compute_nmi(z2, z0);
    
    disp(nmiT2(t));
    
end